/*
 * common.h
 *
 *  Created on: Mar 20, 2015
 *      Author: Dusty
 */

#ifndef COMMON_H_
#define COMMON_H_

//#define CLOCK_SPEED_90MHZ	1
#define CLOCK_SPEED_180MHZ	1


// Baud Rate Register = (sysclock / 32) / baud rate
// For 90Mhz: (90,000,000 / 32) / 115200 = 24.4


#ifdef CLOCK_SPEED_90MHZ
#define CLOCK_NDIV	36
#define BAUD_INT	24	// 115,200	= 24.4
#define BAUD_FRAC	4	
#endif

#ifdef CLOCK_SPEED_180MHZ
#define CLOCK_NDIV	72
#define BAUD_INT	48	// 115,200	= 48.8
#define BAUD_FRAC	8	
#endif


#define EBI_BASE_REG 0xC3F84000

#define EXT_SRAM_START  0x20000000
#define EXT_SRAM_SIZE   0x400000
#define EXT_SRAM_WORDS EXT_SRAM_SIZE / 4
#define EXT_SRAM (*(unsigned long int*)EXT_SRAM_START)

// 64-meg byte LPDDR
#define EXT_DRAM_START  0x60000000
#define EXT_DRAM_SIZE   0x4000000
//#define EXT_DRAM_SIZE   0x0000100		// test
#define EXT_DRAM_WORDS EXT_SRAM_SIZE / 4
#define EXT_DRAM (*(unsigned long int*)EXT_DRAM_START)
#define EXT_DRAM16 (*(unsigned short*)EXT_DRAM_START)

#define EBI_BUSMODE	0
#define DDR_BUSMODE	1

#define DRUN_MODE	3
#define VLE				2			 
#define DPM_KEY1	0x5AF0
#define DPM_KEY2	0xA50F

#define BUS_CONTROL_LINE1	22	// was 128
#define BUS_CONTROL_LINE2	205	// was 129



#endif /* COMMON_H_ */
